Name:    openjpeg
Version: 1.3
Release: 1
Summary: OpenJPEG command line tools
Group:   Applications/Multimedia
License: BSD
URL:     http://www.openjpeg.org/

Source0: http://www.openjpeg.org/openjpeg_v1_3.tar.gz

Patch0: %{name}-%{version}-aix.patch
Patch1: %{name}-20070717svn-codec-libtiff.patch
Patch5: %{name}-svn480-use-stdbool.patch
Patch6: %{name}-%{version}-tcd_init_encode-alloc-fix.patch
Patch7: %{name}-%{version}-reverse-bogus-aligned-malloc.patch
Patch44: %{name}-svn468-mj2-noscroll.patch
Patch21: %{name}-20070717svn-mqc-optimize.patch
Patch22: %{name}-20070821svn-t1-remove-macro.patch
Patch23: %{name}-20070719svn-t1-x86_64-flags-branchless.patch
Patch24: %{name}-20070719svn-t1-t1_dec_sigpass_step-optimize.patch
Patch25: %{name}-20070821svn-t1-flags-stride.patch
Patch26: %{name}-20070821svn-t1-updateflags-x86_64.patch
Patch27: %{name}-svn470-t1-flags-mmx.patch
Patch28: %{name}-20070719svn-mqc-more-optimize.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: libtiff-devel >= 3.9.2
Requires: libtiff >= 3.9.2

%description
OpenJPEG is an open-source JPEG 2000 codec written in C language. It has been
developed in order to promote the use of JPEG 2000, the new still-image
compression standard from the Joint Photographic Experts Group (JPEG).


%package libs
Summary: JPEG 2000 codec library
Group:   System Environment/Libraries

%description libs
The openjpeg-libs package contains runtime libraries for applications that use
OpenJPEG.


%package  devel
Summary:  Development files for openjpeg
Group:    Development/Libraries
Requires: %{name}-libs = %{version}-%{release}

%description devel
The openjpeg-devel package contains libraries and header files for
developing applications that use OpenJPEG.


%prep
%setup -q -n OpenJPEG_v1_3
fromdos codec/*

export PATH=/opt/freeware/bin:$PATH
# Windows stuff, delete it, it slows down patch making
rm -rf jp3d
# Make sure we use system libraries
rm -rf libs
%patch0
%patch1 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch44 -p1
%patch22 -p1
%patch23 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch24 -p1
%patch21 -p1
%patch28 -p1

# fake a <stdbool.h> as AIX5L V5.1 and XLC/C++ V7 doesn't have one
cat > stdbool.h << EOF
#ifndef stdbool_h_wrapper
#define stdbool_h_wrapper

typedef enum {false = 0, true = 1} bool;

#endif
EOF


%build
make
cd mj2
make %{?_smp_mflags}
cd ../codec
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
cd mj2
cp frames_to_mj2 mj2_to_frames extract_j2k_from_mj2 wrap_j2k_in_mj2 \
    ${RPM_BUILD_ROOT}%{_bindir}
cd ../codec
cp j2k_to_image image_to_j2k ${RPM_BUILD_ROOT}%{_bindir}
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/*

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc ChangeLog license.txt
%{_bindir}/*
/usr/bin/*


%files libs
%defattr(-,root,system,-)
%{_libdir}/*.a
/usr/lib/*.a


%files devel
%defattr(-,root,system,-)
%{_includedir}/*
/usr/include/*


%changelog
* Thu May 27 2010 Michael Perzl <michael@perzl.org> - 1.3-1
- first version for AIX V5.1 and higher
